Debian Bug report logs - #483247
O: grepmail -- search mailboxes for mail matching an expression

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 27 May 2008 22:39:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#483247; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: grepmail -- search mailboxes for mail matching an expression
Date: Tue, 27 May 2008 18:35:33 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I have orphaned the grepmail package.

My git repository will be available for at least a while; if it's not
available, I can pull a backup for any adopter.

The package description is:
 Grepmail looks for mail messages containing a pattern, and prints the
 resulting messages. Usage is very similar to grep. It can handle
 compressed mailbox files, and can search the header or body of emails.
 It also supports searches constrained by date and size.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: grepmail -- search mailboxes for mail matching an expression' from `O: grepmail -- search mailboxes for mail matching an expression'. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Mon, 03 Nov 2008 20:21:03 GMT) Full text and rfc822 format available.

Owner recorded as Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Mon, 03 Nov 2008 20:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#483247; Package wnpp. (Tue, 09 Mar 2010 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Mar 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #14 received at 483247@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: control@bugs.debian.org, 483247@bugs.debian.org
Subject: Bug#483247 retitle
Date: Tue, 09 Mar 2010 22:49:44 +0200
[Message part 1 (text/plain, inline)]
retitle 483247 O: grepmail -- search mailboxes for mail matching an expression
thanks

This package is back up for grabs. The problem with this package are the
failed Perl tests (many).

For a prospective maintainer, see attached the packaging work done so
far which could help.

Jari Aalto

[grepmail-5.3033-5-nmu.diff (text/x-diff, inline)]
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,472 @@
+grepmail (5.3033-5) unstable; urgency=low
+
+  * New maintainer (Closes: #483247).
+    - Move to packaging format "3.0 (quilt)".
+  * debian/control
+    - (Build-Depends-Indep): Remove dpkg-dev, bzip because
+      those are already required by debhelper.
+    - (Build-Depends): remove perl, part of base.
+    - (Homepage): Change Sourceforge to Freshmeat.
+    - (Standards-Version): update to 3.8.3.
+    - (Vcs-*): Change from previous maintainer to Alioth.
+  * debian/copyright
+    - Rewrite from scratch.
+  * debian/debian-{perl,vars}.mk:
+    - New files.
+  * debian/patches
+    - (number 20): Fix date::Manip (Closes: #595885).
+  * debian/rules
+    - Rewrite from scratch (debhelper).
+  * debian/source/format
+    - New file.
+  * debian/watch
+    - Update to version 3.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 04 Mar 2010 00:15:00 +0200
+
+grepmail (5.3033-4) unstable; urgency=low
+
+  * debhelper v7; 3 line rules file
+  * New format copyright file.
+  * Orphaned the package.
+
+ -- Joey Hess <joeyh@debian.org>  Fri, 25 Apr 2008 18:24:43 -0400
+
+grepmail (5.3033-3) unstable; urgency=low
+
+  * Add Homepage field.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 10 Mar 2008 16:01:49 -0400
+
+grepmail (5.3033-2) unstable; urgency=low
+
+  * Fix man page year typo. Closes: #428973
+  * Fix .orig.tar.gz
+
+ -- Joey Hess <joeyh@debian.org>  Sat, 08 Sep 2007 21:54:11 -0400
+
+grepmail (5.3033-1) unstable; urgency=low
+
+  * New upstream release.
+  * Improve synopsis. Closes: #400618
+  * Current standards-version.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 15:05:03 -0500
+
+grepmail (5.3032-2) unstable; urgency=low
+
+  * Current policy.
+  * Build-Depends/Build-Depends-Indep split.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:22:05 -0500
+
+grepmail (5.3032-1) unstable; urgency=low
+
+  * Switch watch file to using sf redirector.
+  * New upstream release.
+  * Depend and build depend on most recent messageparser.
+  * Drop old dependency on libinline-perl.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  4 Aug 2005 11:39:28 -0400
+
+grepmail (5.3031-1) unstable; urgency=low
+
+  * New upstream release.
+  * Build-depend on newest messageparser so new test script succeeds.
+
+ -- Joey Hess <joeyh@debian.org>  Sat, 11 Jun 2005 22:04:00 -0400
+
+grepmail (5.3030-3) unstable; urgency=low
+
+  * Force TZ=UTC during build to avoid test suite failure with other
+    timezone settings. Closes: #302703
+
+ -- Joey Hess <joeyh@debian.org>  Sat,  2 Apr 2005 15:53:59 -0500
+
+grepmail (5.3030-2) unstable; urgency=low
+
+  * Add missing build dep on libdate-manip-perl. Closes: #302569
+
+ -- Joey Hess <joeyh@debian.org>  Fri,  1 Apr 2005 07:43:45 -1000
+
+grepmail (5.3030-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 19 Jan 2005 22:03:23 -0500
+
+grepmail (5.30.1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Fri,  1 Oct 2004 05:15:33 -0400
+
+grepmail (5.30-1) unstable; urgency=low
+
+  * New upstream release.
+  * Remove recursive.t hack, fixed upstream.
+  * Depends and build-depends on 1.20 of the messageparser.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 14 Jul 2004 11:01:28 -0400
+
+grepmail (5.23-3) unstable; urgency=low
+
+  * Add dependency on libscalar-list-utils-perl, to support pre perl 5.8
+    systems. Closes: #244976
+
+ -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 19:25:49 -0400
+
+grepmail (5.23-2) unstable; urgency=low
+
+  * Add a build dep on bzip2, so the tests that exersize that work.
+    Closes: #241956
+
+ -- Joey Hess <joeyh@debian.org>  Sat,  3 Apr 2004 19:58:15 -0500
+
+grepmail (5.23-1) unstable; urgency=low
+
+  * New upstream release.
+  * Hack recursive.t to work if grepmail is checked into subversion.
+
+ -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 2004 13:57:03 -0500
+
+grepmail (5.22-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 27 Oct 2003 12:19:27 -0500
+
+grepmail (5.21-2) unstable; urgency=low
+
+  * Move from build-depends-indep to build-depends, to meet current policy.
+
+ -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 11:58:15 -0400
+
+grepmail (5.21-1) unstable; urgency=low
+
+  * New upstream release.
+    - Fixed searching of $HOME/Mail. Closes: #204258
+    - Apparently fixes hang grepping uncompressed mailbox. Closes: #204884
+  * Remove make test buglet workaround in debian/rules.
+  * Depends on new libmail-mbox-messageparser-perl 1.11.
+  * Also added build-depends on that.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 28 Aug 2003 15:08:39 -0400
+
+grepmail (5.10-2) unstable; urgency=low
+
+  * Convert huge regexp lines in POD docs to verbatim paragraphs, so they are
+    not hyphenated which is very confusing and made groff output ugly
+    warnings. (See bug #199099)
+
+ -- Joey Hess <joeyh@debian.org>  Sat, 16 Aug 2003 12:55:44 -0400
+
+grepmail (5.10-1) unstable; urgency=low
+
+  * New upstream release. Mail::Mbox::MessageParser is split into a CPAN perl
+    module.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 17:49:28 -0400
+
+grepmail (5.00-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Fri, 11 Jul 2003 14:33:45 -0400
+
+grepmail (4.91-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Sun,  2 Feb 2003 15:59:59 -0500
+
+grepmail (4.90-2) unstable; urgency=low
+
+  * Don't call SETUP_CACHE if $USE_CACHING is false. Closes: #173799
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 25 Dec 2002 21:23:08 -0500
+
+grepmail (4.90-1) unstable; urgency=low
+
+  * New upstream release. Removes FastReader since plain perl implementation
+    is now as fast. So:
+    - remove build-dep on libinline-perl
+    - package is now arch all
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 27 Nov 2002 22:59:25 -0500
+
+grepmail (4.80-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 13 Oct 2002 19:51:29 -0400
+
+grepmail (4.72-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  3 Sep 2002 14:40:38 -0400
+
+grepmail (4.71-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  1 Aug 2002 22:30:34 -0400
+
+grepmail (4.70-4) unstable; urgency=low
+
+  * Build for perl 5.8.
+  * Modified regexps, test suite, etc to work with perl 5.8.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  1 Aug 2002 12:29:00 -0400
+
+grepmail (4.70-3) unstable; urgency=low
+
+  * Don't use dh_installmanpages.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 13 Jun 2002 18:28:33 -0400
+
+grepmail (4.70-2) unstable; urgency=low
+
+  * Debhelper v4.
+
+ -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 18:24:30 -0400
+
+grepmail (4.70-1) unstable; urgency=low
+
+  * New upstream, Closes: #125941
+  * Included the new anonymize_mailbox program as an example, it's not
+    quite ready to be put in bin yet.
+  * Use debhelper v3.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  3 Jan 2002 01:24:32 -0500
+
+grepmail (4.60-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 21 Oct 2001 02:37:47 -0400
+
+grepmail (4.51-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Sun,  9 Sep 2001 19:56:33 -0400
+
+grepmail (4.50-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Fri,  3 Aug 2001 10:38:55 -0400
+
+grepmail (4.48-2) unstable; urgency=low
+
+  * No changes. Oddly, this loses the suggests on libinline-perl. So how
+    come it was in the previos version? Damned if I know. Closes: #101290
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2001 13:43:00 -0400
+
+grepmail (4.48-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Wed,  6 Jun 2001 15:20:38 -0400
+
+grepmail (4.47-2) unstable; urgency=low
+
+  * Moved out of privlib, Closes: #95516
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2001 22:14:30 -0400
+
+grepmail (4.47-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 29 Mar 2001 15:17:10 -0800
+
+grepmail (4.46-2) unstable; urgency=low
+
+  * Build deps are no longer -indep, Closes: #85245
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2001 13:58:25 -0800
+
+grepmail (4.46-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Sat, 24 Feb 2001 21:23:51 -0800
+
+grepmail (4.45-3) unstable; urgency=low
+
+  * Corrected build dependancy, Closes: #85245
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  8 Feb 2001 09:39:18 -0800
+
+grepmail (4.45-2) unstable; urgency=low
+
+  * Enabled the FastReader stuff, which speeds up grepmail by 10 to 50%.
+    This makes the package arch: any not all, and requires tighter perl
+    dependancies.
+  * Reupload, damn dpkg-dev.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 17 Jan 2001 13:05:27 -0800
+
+grepmail (4.45-1) unstable; urgency=low
+
+  * New upstream release. Fixes netscape problem, Closes: #79328
+    Not yet including Mail::Folder::FastReader as it is is experimental;
+    hacked Makefile.PL to not prompt.
+
+ -- Joey Hess <joeyh@debian.org>  Tue, 16 Jan 2001 15:27:03 -0800
+
+grepmail (4.43-1) unstable; urgency=low
+
+  * New upstream release.
+  * Use debhelper v2.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 15:16:08 -0700
+
+grepmail (4.42-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 20 Aug 2000 17:19:41 -0700
+
+grepmail (4.41-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2000 11:38:30 -0700
+
+grepmail (4.40-1) unstable; urgency=low
+
+  * New upstream.
+  * Build and dependancy changes.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 15 May 2000 16:03:03 -0700
+
+grepmail (4.31-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2000 23:40:43 -0700
+
+grepmail (4.30-1) unstable; urgency=low
+
+  * New upstream.
+  * Updated url in copyright file.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2000 16:25:57 -0700
+
+grepmail (4.23-3) unstable; urgency=low
+
+  * New upstream. Reuplod with full source.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 16 Apr 2000 16:48:22 -0700
+
+grepmail (4.23-2) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 13 Apr 2000 21:44:01 -0700
+
+grepmail (4.1-1) unstable; urgency=low
+
+  * New upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Tue, 11 Jan 2000 16:07:30 -0800
+
+grepmail (3.9-4) unstable; urgency=low
+
+  * Build dep.
+
+ -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 01:01:14 -0800
+
+grepmail (3.9-3) unstable; urgency=low
+
+  * Removed install-stamp stuff, which can cause obscure problems.
+  * Reuploaded full source, which I messed up last time.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:01:07 -0700
+
+grepmail (3.9-2) unstable; urgency=low
+
+  * Modified grepmail so it doesn't use the sh-invokes-perl trick. This was
+    breaking for someone who uses tcsh as their shell. I don't know why.
+    (Closes: #45116)
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 15 Sep 1999 13:06:18 -0700
+
+grepmail (3.9-1) unstable; urgency=low
+
+  * New upstream version. Now available in two flavors, using Date::Manip or
+    Date::Parse. Linked the Manip flavor to grepmail, since that is what
+    it's used in the past.
+  * FHS.
+
+ -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 21:36:19 -0700
+
+grepmail (3.6-3) unstable; urgency=low
+
+  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
+    seems to make sense for the transition.
+
+ -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:58:38 -0700
+
+grepmail (3.6-2) unstable; urgency=low
+
+  * Made CleanExit print errors to stderr. Patch sent upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Fri, 11 Jun 1999 14:37:09 -0700
+
+grepmail (3.6-1) unstable; urgency=low
+
+  * New upstream release that incorporates my security patch.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 22 Feb 1999 16:21:13 -0800
+
+grepmail (3.5-1) unstable; urgency=low
+
+  * New upstream release that fixes the tmpfile problem, but not the race
+    conditions. Re-applied my security patch.
+  * Fixed author's home page address on man page.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  9 Feb 1999 23:40:24 -0800
+
+grepmail (3.4.1-3) frozen unstable; urgency=HiGH
+
+  * Fixed multiple file in /tmp security holes that could delete data.
+  * Fixed multiple race conditions that could make private data public.
+  * Patch sent upstream.
+
+ -- Joey Hess <joeyh@debian.org>  Tue,  9 Feb 1999 21:08:15 -0800
+
+grepmail (3.4.1-2) unstable; urgency=low
+
+  * Fixed perl path.
+
+ -- Joey Hess <joeyh@debian.org>  Fri, 22 Jan 1999 12:05:11 -0800
+
+grepmail (3.4.1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Thu, 21 Jan 1999 21:09:31 -0800
+
+grepmail (3.4-2) unstable; urgency=low
+
+  * Now suggests: libdate-manip-perl.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 28 Oct 1998 14:33:51 -0800
+
+grepmail (3.4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 26 Oct 1998 14:33:11 -0800
+
+grepmail (3.3-1) unstable; urgency=low
+
+  * First release.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 19 Oct 1998 20:33:10 -0700
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,20 @@
+Source: grepmail
+Section: mail
+Priority: optional
+Build-Depends-Indep: libtimedate-perl, libmail-mbox-messageparser-perl (>= 1.4001), libdate-manip-perl
+Build-Depends: debhelper (>= 7.1)
+Maintainer: Jari Aalto <jari.aalto@cante.net>
+Standards-Version: 3.8.4
+Vcs-Browser: http://git.debian.org/?p=collab-maint/grepmail.git
+Vcs-Git: git://git.debian.org/git/collab-maint/grepmail.git
+Homepage: http://freshmeat.net/projects/grepmail
+
+Package: grepmail
+Architecture: all
+Suggests: libdate-manip-perl
+Depends: ${perl:Depends}, ${misc:Depends}, libscalar-list-utils-perl, libmail-mbox-messageparser-perl (>= 1.4001), libtimedate-perl
+Description: search mailboxes for mail matching an expression
+ Grepmail looks for mail messages containing a pattern, and prints the
+ resulting messages. Usage is very similar to grep. It can handle
+ compressed mailbox files, and can search the header or body of emails.
+ It also supports searches constrained by date and size.
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,36 @@
+This package was debianized by Joey Hess <joeyh@debian.org> on
+1998-10-19 20:33:10-07 Mon.
+
+It was downloaded from:
+
+    http://freshmeat.net/projects/grepmail
+    http://sourceforge.net/projects/grepmail
+
+Upstream Author:
+
+    David Coppit <freshmeat@coppit.org>, <coppit@users.sourceforge.net>
+
+Copyright:
+
+    Copyright (C) 2000-2004 David Coppit
+    Copyright (C) 1998-2000 Broc Seib
+
+License:
+
+    This package is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+The Debian packaging is licensed under the GPL, see below, and is:
+
+    Copyright (C) 2010      Jari Aalto <jari.aalto@cante.net>
+    Copyright (C) 1998-2008 Joey Hess <joeyh@debian.org>
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in "/usr/share/common-licenses/GPL-2".
--- /dev/null
+++ b/debian/debian-perl.mk
@@ -0,0 +1,85 @@
+# debian-perl.mk -- Common settings for Perl
+#
+#   Copyright
+#
+#	Copyright (C) 2008-2010 Jari Aalto <jari.aalto@cante.net>
+#
+#   License
+#
+#       This program is free software; you can redistribute it and/or modify
+#       it under the terms of the GNU General Public License as published by
+#       the Free Software Foundation; either version 2 of the License, or
+#       (at your option) any later version.
+#
+#       This program is distributed in the hope that it will be useful,
+#       but WITHOUT ANY WARRANTY; without even the implied warranty of
+#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+#       GNU General Public License for more details.
+#
+#       You should have received a copy of the GNU General Public License
+#       along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+#   Description
+#
+#	This is GNU makefile part, that defines common variables,
+#	targets and macros to be used from debian/rules. To install,
+#	add this:
+#
+#	    PACKAGE = foo
+#	    include debian/debian-vars.mk
+#	    include debian/debian-perl.mk
+#
+#	    build-stamp: configure-perl
+#		...
+#
+#	    install:
+#		# $(MAKE) ...
+#		$(install-perl-bin)
+
+ifneq (,)
+    This makefile requires GNU Make.
+endif
+
+# By default *.PL files set manpage suffix to "1p", which is not
+# in par with Debian Perl Policy. Change to *.1
+
+INSTALL_PERL_MAKE_FLAGS       = MAN1EXT=1 MAN3EXT=3 MAN8EXT=8
+INSTALL_PERL_EXTRA_MAKE_FLAGS =
+
+configure-perl: Makefile.PL
+	dh_testdir
+	# target: configure-perl - Configure standard Perl package
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL PREFIX=/usr
+
+define install-perl-bin
+	# target install-perl-bin - Install Perl binary package
+	$(MAKE) DESTDIR=$(PKGDIR) \
+		INSTALLSITEMAN1DIR=/usr/share/man/man1 \
+		$(INSTALL_PERL_MAKE_FLAGS) \
+		$(INSTALL_PERL_EXTRA_MAKE_FLAGS) \
+		install
+
+	# Clean debian/<pkg>/usr/lib/perl/<ver>/ for
+	# perllocal.pod auto/grepmail/.packlist
+	rm -rf $(LIBROOTDIR)
+
+	-cd $(MAN1DIR) && ls -l
+
+	# Fix manual pages *.<NBR>p to *.<NBR> according to
+	# http://www.debian.org/doc/packaging-manuals/perl-policy/ch-perl.html#s-docs
+
+	@for file in $(MAN1DIR)/*[0-9]p* 			\
+		    $(MAN3DIR)/*[0-9]p* 			\
+		    $(MAN8DIR)/*[0-9]p*; 			\
+	do 							\
+		man=$$(echo $$file | sed 's/\.1p/.1/'); 	\
+		if [ -f $$man ]; then			    	\
+		   	rm -vf "$$file";			\
+		elif [ ! "$$file" = "$$man" ]; then	    	\
+			mv --verbose "$$file" "$$man"; 		\
+		fi;					    	\
+	done
+
+endef
+
+# End of Makefile part
--- /dev/null
+++ b/debian/debian-vars.mk
@@ -0,0 +1,81 @@
+# debian-vars.mk -- Common variables
+#
+#   Copyright
+#
+#	Copyright (C) 2005-2009 Jari Aalto <jari.aalto@cante.net>
+#
+#   License
+#
+#       This program is free software; you can redistribute it and/or modify
+#       it under the terms of the GNU General Public License as published by
+#       the Free Software Foundation; either version 2 of the License, or
+#       (at your option) any later version.
+#
+#       This program is distributed in the hope that it will be useful,
+#       but WITHOUT ANY WARRANTY; without even the implied warranty of
+#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+#       GNU General Public License for more details.
+#
+#       You should have received a copy of the GNU General Public License
+#       along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+#   Description
+#
+#	This is GNU makefile part, that defines common variables and
+#	macros to be used from debian/rules. To install, add this:
+#
+#	    PACKAGE = foo
+#	    include debian/debian-vars.mk
+
+ifneq (,)
+    This makefile requires GNU Make.
+endif
+
+PACKAGE		?= foo
+PIXPACKAGE	?= $(PACKAGE)
+ICONPACKAGE	?= $(PACKAGE)
+TOPDIR		:= $(shell pwd)
+PKGDIR		= $(shell pwd)/debian/$(PACKAGE)
+
+SHAREROOTDIR	= $(PKGDIR)/usr/share
+SHAREDIR	= $(SHAREROOTDIR)/$(PACKAGE)
+DOCROOTDIR	= $(SHAREROOTDIR)/doc
+PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
+SITELISPDIR	= $(SHAREROOTDIR)/emacs/site-lisp
+PKGLISPDIR	= $(SITELISPDIR)/$(PACKAGE)
+DESKTOPDIR	= $(SHAREROOTDIR)/applications
+XSESSIONDIR	= $(SHAREROOTDIR)/xsessions
+LOCALEDIR	= $(SHAREROOTDIR)/locale
+INFODIR		= $(SHAREROOTDIR)/info
+PIXDIR		= $(SHAREROOTDIR)/pixmaps
+PKGPIXDIR	= $(PIXDIR)/$(PIXPACKAGE)
+ICONDIR		= $(SHAREROOTDIR)/icons
+PKGICONDIR	= $(ICONDIR)/$(ICONPACKAGE)
+
+MANROOTDIR	= $(SHAREROOTDIR)/man
+MAN1DIR		= $(MANROOTDIR)/man1
+MAN5DIR		= $(MANROOTDIR)/man5
+MAN7DIR		= $(MANROOTDIR)/man7
+MAN8DIR		= $(MANROOTDIR)/man8
+
+LIBROOTDIR	= $(PKGDIR)/usr/lib
+LIBDIR		= $(LIBROOTDIR)/$(PACKAGE)
+LIBPERLDIR	= $(LIBROOTDIR)/perl
+
+BINDIR		= $(PKGDIR)/usr/bin
+SBINDIR		= $(PKGDIR)/usr/sbin
+GAMEBINDIR	= $(PKGDIR)/usr/games
+
+INSTALL		?= /usr/bin/install
+INSTALL_DIR	= $(INSTALL) -m 755 -d
+INSTALL_DATA	= $(INSTALL) -p -m 644
+
+# The difference is that "BIN" may contain binary strip option
+INSTALL_SCRIPT	= $(INSTALL) -p -m 755
+INSTALL_BIN	= $(INSTALL) -p -m 755
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+    INSTALL_BIN += -s
+endif
+
+# End of Makefile part
--- /dev/null
+++ b/debian/docs
@@ -0,0 +1 @@
+README
--- /dev/null
+++ b/debian/examples
@@ -0,0 +1 @@
+anonymize_mailbox
--- /dev/null
+++ b/debian/patches/10-Makefile.PL-no-ask.patch
@@ -0,0 +1,28 @@
+From 7221b6deca38877ce91bec7b37227adb307afc3d Mon Sep 17 00:00:00 2001
+From: Jari Aalto <jari.aalto@cante.net>
+Date: Thu, 4 Mar 2010 00:27:00 +0200
+Subject: [PATCH] Makefile.PL: Comment out library requires (ask no questions)
+
+Signed-off-by: Jari Aalto <jari.aalto@cante.net>
+---
+ Makefile.PL |    4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/Makefile.PL b/Makefile.PL
+index 7cbe614..0448b9a 100644
+--- a/Makefile.PL
++++ b/Makefile.PL
+@@ -23,8 +23,8 @@ build_requires    (
+ 
+ requires          (
+                     'perl' => '5.004',
+-                    'Date::Parse' => 0,
+-                    'Mail::Mbox::MessageParser' => '1.4001',
++#                    'Date::Parse' => 0,
++#                    'Mail::Mbox::MessageParser' => '1.4001',
+                   );
+ 
+ postamble         (
+-- 
+1.7.0
+
--- /dev/null
+++ b/debian/patches/20-date-manip.patch
@@ -0,0 +1,27 @@
+From cb984bc73b719a18bb16e282126dfb177de8abcf Mon Sep 17 00:00:00 2001
+From: Jari Aalto <jari.aalto@cante.net>
+Date: Thu, 4 Mar 2010 00:12:28 +0200
+Subject: [PATCH] grepmail: Fix Date::Manip patch by Manuel Prinz <manuel@debian.org> (Bug#595885)
+
+
+Signed-off-by: Jari Aalto <jari.aalto@cante.net>
+---
+ grepmail |    2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/grepmail b/grepmail
+index 97fd4a5..f644bf4 100755
+--- a/grepmail
++++ b/grepmail
+@@ -397,7 +397,7 @@ sub Get_Options
+     if (eval 'require Date::Manip')
+     {
+       my ($version_number) = $Date::Manip::VERSION =~ /^(\d+\.\d+)/;
+-      Date::Manip::Date_Init("TodayIsMidnight=1") if $version_number >= 5.43;
++      Date::Manip::Date_Init("TodayIsMidnight=1") if $version_number >= 5.43 and $version_number < 6;
+     }
+   }
+ 
+-- 
+1.7.0
+
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,2 @@
+10-Makefile.PL-no-ask.patch
+20-date-manip.patch
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,54 @@
+#!/usr/bin/make -f
+#export DH_VERBOSE=1
+
+PACKAGE = grepmail
+
+include debian/debian-vars.mk
+include debian/debian-perl.mk
+
+configure: configure-perl
+
+override_dh_auto_test:
+	# target: override_dh_auto_test
+	#
+	# Skip tests, because the DATE tests fails
+	#
+	# Result: FAIL
+	# Failed 6/29 test programs. 17/255 subtests failed.
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+	$(install-perl-bin)
+
+binary-indep: build install
+	# target: binary-indep
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_installexamples
+	dh_installman
+	dh_perl
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_perl
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+%:
+	dh $@
+
+binary: binary-indep
+
+.PHONY: configure install
+.PHONY: binary-indep binary
+
+# End of file
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
--- /dev/null
+++ b/debian/test.log
@@ -0,0 +1,191 @@
+make test
+cp grepmail blib/script/grepmail
+/usr/bin/perl -Iinc -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/grepmail
+PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/append_header.t t/auto_search.t t/body.t t/cache.t t/complex_expression.t t/count.t t/date.t t/date_manip.t t/header.t t/help.t t/ignore_signatures.t t/invalid_date.t t/invalid_mailbox.t t/line_number.t t/list.t t/match_compressed.t t/match_headers.t t/match_words.t t/nonexistent_mailbox.t t/not_match_compressed.t t/not_match_uncompressed.t t/pattern_file.t t/pipe_compressed.t t/pipe_uncompressed.t t/received_date.t t/recursive.t t/size.t t/status.t t/unique.t
+t/append_header.t ........... ok
+t/auto_search.t ............. 1/4 
+#   Failed test 't/temp/auto_search_none.stderr compared to t/results/none'
+#   at t/auto_search.t line 92.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+# Looks like you failed 1 test of 4.
+t/auto_search.t ............. Dubious, test returned 1 (wstat 256, 0x100)
+Failed 1/4 subtests 
+t/body.t .................... ok
+t/cache.t ................... ok
+t/complex_expression.t ...... ok
+t/count.t ................... ok
+t/date.t .................... 1/16 
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+t/date.t .................... 5/16 
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+
+#   Failed test 't/temp/date_invalid_date_1.stderr compared to t/results/invalid_date_1'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = 'grepmail: "armageddon" is not a valid date
+#     '
+
+#   Failed test 't/temp/date_invalid_date_1.stderr compared to t/results/invalid_date_1'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = 'grepmail: "armageddon" is not a valid date
+#     '
+
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+t/date.t .................... 13/16 
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+
+#   Failed test 't/temp/date_none.stderr compared to t/results/none'
+#   at t/date.t line 108.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+# Looks like you failed 8 tests of 16.
+t/date.t .................... Dubious, test returned 8 (wstat 2048, 0x800)
+Failed 8/16 subtests 
+t/date_manip.t .............. 1/9 
+#   Failed test 't/temp/date_manip_none.stderr compared to t/results/none'
+#   at t/date_manip.t line 132.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+t/date_manip.t .............. 4/9 
+#   Failed test 't/temp/date_manip_invalid_date_1.stderr compared to t/results/invalid_date_1'
+#   at t/date_manip.t line 132.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = 'grepmail: "armageddon" is not a valid date
+#     '
+
+#   Failed test 't/temp/date_manip_invalid_date_1.stderr compared to t/results/invalid_date_1'
+#   at t/date_manip.t line 132.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = 'grepmail: "armageddon" is not a valid date
+#     '
+
+#   Failed test 't/temp/date_manip_none.stderr compared to t/results/none'
+#   at t/date_manip.t line 132.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+# Looks like you failed 4 tests of 9.
+t/date_manip.t .............. Dubious, test returned 4 (wstat 1024, 0x400)
+Failed 4/9 subtests 
+t/header.t .................. ok
+t/help.t .................... ok
+t/ignore_signatures.t ....... ok
+t/invalid_date.t ............ 1/2 
+#   Failed test 't/temp/invalid_date_none.stderr compared to t/results/none'
+#   at t/invalid_date.t line 90.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+# Looks like you failed 1 test of 2.
+t/invalid_date.t ............ Dubious, test returned 1 (wstat 256, 0x100)
+Failed 1/2 subtests 
+t/invalid_mailbox.t ......... ok
+t/line_number.t ............. ok
+t/list.t .................... ok
+t/match_compressed.t ........ ok
+t/match_headers.t ........... ok
+t/match_words.t ............. ok
+t/nonexistent_mailbox.t ..... 1/8 
+#   Failed test 'Did not encounter an error executing the test when one was expected.
+# 
+# '
+#   at t/nonexistent_mailbox.t line 102.
+
+#   Failed test 'Did not encounter an error executing the test when one was expected.
+# 
+# '
+#   at t/nonexistent_mailbox.t line 102.
+# Looks like you planned 8 tests but only ran 6.
+# Looks like you failed 2 tests of 6 run.
+t/nonexistent_mailbox.t ..... Dubious, test returned 2 (wstat 512, 0x200)
+Failed 4/8 subtests 
+t/not_match_compressed.t .... ok
+t/not_match_uncompressed.t .. ok
+t/pattern_file.t ............ ok
+t/pipe_compressed.t ......... ok
+t/pipe_uncompressed.t ....... ok
+t/received_date.t ........... 1/2 
+#   Failed test 't/temp/received_date_none.stderr compared to t/results/none'
+#   at t/received_date.t line 90.
+#     Structures begin differing at:
+#          $got->[0] = 'ERROR: [config_var] invalid config variable: todayismidnight
+#     '
+#     $expected->[0] = Does not exist
+# Looks like you failed 1 test of 2.
+t/received_date.t ........... Dubious, test returned 1 (wstat 256, 0x100)
+Failed 1/2 subtests 
+t/recursive.t ............... ok
+t/size.t .................... ok
+t/status.t .................. ok
+t/unique.t .................. ok
+
+Test Summary Report
+-------------------
+t/auto_search.t           (Wstat: 256 Tests: 4 Failed: 1)
+  Failed test:  2
+  Non-zero exit status: 1
+t/date.t                  (Wstat: 2048 Tests: 16 Failed: 8)
+  Failed tests:  2, 4, 6, 8, 10, 12, 14, 16
+  Non-zero exit status: 8
+t/date_manip.t            (Wstat: 1024 Tests: 9 Failed: 4)
+  Failed tests:  3, 5, 7, 9
+  Non-zero exit status: 4
+t/invalid_date.t          (Wstat: 256 Tests: 2 Failed: 1)
+  Failed test:  2
+  Non-zero exit status: 1
+t/nonexistent_mailbox.t   (Wstat: 512 Tests: 6 Failed: 2)
+  Failed tests:  1-2
+  Non-zero exit status: 2
+  Parse errors: Bad plan.  You planned 8 tests but ran 6.
+t/received_date.t         (Wstat: 256 Tests: 2 Failed: 1)
+  Failed test:  2
+  Non-zero exit status: 1
+Files=29, Tests=255, 20 wallclock secs ( 0.23 usr  0.08 sys + 16.01 cusr  2.87 csys = 19.19 CPU)
+Result: FAIL
+Failed 6/29 test programs. 17/255 subtests failed.
+make: *** [test_dynamic] Error 255
\ No newline at end of file
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,2 @@
+version=3
+http://qa.debian.org/watch/sf.php/grepmail/ grepmail-(.*).tar.gz

Changed Bug title to 'O: grepmail -- search mailboxes for mail matching an expression' from 'ITA: grepmail -- search mailboxes for mail matching an expression' Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Tue, 09 Mar 2010 20:51:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jari Aalto <jari.aalto@cante.net>. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Wed, 10 Mar 2010 14:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:15:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.